{
  "lexicon": 1,
  "id": "space.polymodel.actor.profile",
  "defs": {
    "main": {
      "type": "record",
      "description": "Polymodel actor profile (singleton). Appview unions app.bsky.actor.profile.",
      "key": "literal:self",
      "record": {
        "type": "object",
        "properties": {
          "avatar": {
            "type": "blob",
            "accept": [
              "image/png",
              "image/jpeg"
            ],
            "maxSize": 1048576
          },
          "defaultLicense": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "maxLength": 10240,
            "maxGraphemes": 1024
          },
          "displayName": {
            "type": "string",
            "maxLength": 640,
            "maxGraphemes": 64
          },
          "links": {
            "type": "array",
            "items": {
              "type": "string",
              "format": "uri"
            },
            "maxLength": 16
          },
          "printers": {
            "type": "array",
            "items": {
              "type": "string",
              "maxLength": 10240,
              "maxGraphemes": 1024
            },
            "maxLength": 32
          },
          "pronouns": {
            "type": "string",
            "maxLength": 10240,
            "maxGraphemes": 1024
          }
        }
      }
    }
  }
}